:host ::ng-deep .p-dropdown {
  min-height: 35px;
}

:host ::ng-deep .p-dropdown .p-dropdown-label {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
  max-width: 500px;
}

:host::ng-deep .p-dropdown-panel .p-dropdown-items {
  width: 100%;
}

:host::ng-deep .p-dropdown-panel .p-dropdown-item {
  white-space: normal;
  word-wrap: break-word;
  overflow-wrap: break-word;
  display: block;
  max-width: 500px;
  padding: 8px;
}
